Bug 25460 - add systemd support
: add systemd support
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/rpcbind)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2011-04-18 19:14 by
Modified: 2011-04-22 14:55 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2011-04-18 19:14:08
Прошу упаковать systemd service файл для rpcbind.
Взять можно в
git.altlinux.org/people/shaba/packages/rpcbind.git

PS: дополнительно в репо исходники обновлены до 0.2.1-rc3, брать/небрать - на
ваше усмотрение.
PPS: собирать лучше после libtirpc, для появления debuginfo.
------- Comment #1 From 2011-04-18 20:52:04 -------
прошу переделать в вид, пригодный для merge, начиная с тэга 
rpcbind-0.2.0-alt1:
- коммит, добавляющий service-file
- коммит, делающий правки в спеке, затрагивающие только service-file.

впрочем, всего этого можно и не делать, на ваше усмотрение.
------- Comment #2 From 2011-04-18 21:48:47 -------
:) так делать или на моё усмотрение?
------- Comment #3 From 2011-04-19 00:25:43 -------
бытует мнение, что точное и минимальное описание того, что собственно
предлагается поменять, всяко способствует взаимопониманию, достижением которого
не следует пренебрегать, особенно если интересует результат.

это если вообще; а в частностях -- как именно предполагается
реализовать warm restart сервиса ? куда можно (и можно ли вообще)
приткнуть ключик -w ?
------- Comment #4 From 2011-04-19 09:51:55 -------
(В ответ на комментарий №3)
> бытует мнение, что точное и минимальное описание того, что собственно
> предлагается поменять, всяко способствует взаимопониманию, достижением которого
> не следует пренебрегать, особенно если интересует результат.
Описание - добавлен rpcbind.service файл для systemd, добавлена его упаковка в
спеке rpm.

> это если вообще; а в частностях -- как именно предполагается
> реализовать warm restart сервиса ? куда можно (и можно ли вообще)
> приткнуть ключик -w ?
Я не смог этого придумать, поэтому и сделал без ключа -w.
Как вариант, можно всегда стартовать с ключём -w. Такое устроит?
------- Comment #5 From 2011-04-19 13:35:25 -------
два коммита, сделанные согласно #1, являлись бы исчерпывающим описанием.
-w: ключ имеет смысл при рестарте -- что есть рестарт с т.з. systemd,
мне неведомо, видимо, такого понятия просто нет.
В таком случае, указывать его или не указывать в service file -- всё равно,
одинаково плохо.
------- Comment #6 From 2011-04-20 17:46:35 -------
(В ответ на комментарий №5)
> два коммита, сделанные согласно #1, являлись бы исчерпывающим описанием.
переделал.
два коммита в самом начале. Потом обновление до rc3(на Ваше усмотрение)

> -w: ключ имеет смысл при рестарте -- что есть рестарт с т.з. systemd,
> мне неведомо, видимо, такого понятия просто нет.
рестарт, как обычно, это stop+start. Впервые вижу сервис, у которого между stop
и start при рестарте происходят ещё какие-то действия (меняется "окружение"
добавляя новые ключи для старта). Как это реализовать в systemd я придумать не
смог, поэтому лучше вообще ничего не добавлять.

> В таком случае, указывать его или не указывать в service file -- всё равно,
> одинаково плохо.
------- Comment #7 From 2011-04-22 14:14:08 -------
где определён %systemd_unitdir ?
------- Comment #8 From 2011-04-22 14:33:22 -------
(В ответ на комментарий №7)
> где определён %systemd_unitdir ?
В rpm.
rpm -q --changelog rpm
* Втр Апр 05 2011 Dmitry V. Levin <ldv@altlinux.org> 4.0.4-alt100.24
- platform.in: Added %systemd_unitdir macro.
------- Comment #9 From 2011-04-22 14:51:51 -------
fixed in rpcbind-0.2.1-alt0.3
------- Comment #10 From 2011-04-22 14:55:29 -------
спасибо